//
//  ImageCache.m
//  TestApp
//
//  Created by b0ner on 11/10/26.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "ImageCache.h"
#define CacheDefaultKey @"DataCacheKey";

@implementation ImageCache

+(NSMutableDictionary *)cacheDic
{
    static id cacheDic = nil;
    if (cacheDic == nil) {
        cacheDic = [[NSMutableDictionary alloc] init];
    }
    return cacheDic;
}

+ (NSData *)getDataByKey:(NSString *)key
{
    if ([self.cacheDic objectForKey:key] != nil) {
        return [self.cacheDic objectForKey:key];
    }
    
    return nil;
}

+ (void)setData:(NSData *)data byKey:(NSString *)key
{
    [self.cacheDic setObject:data forKey:key];
}

+ (void)clearCache
{
    //self.cacheDic = nil;
    [self.cacheDic release];
}

@end
